Jump to: navigation, search

Difference between revisions of "Packaging"

(drivers PPA)
(gnuradio PPA)
Line 101: Line 101:
  
 
==== gnuradio PPA ====
 
==== gnuradio PPA ====
 +
 +
 +
{| class="wikitable"
 +
|-
 +
! Software
 +
! Version
 +
! Install
 +
! URL
 +
|-
 +
| GNU Radio
 +
| 3.7.7.1
 +
| sudo apt-get install gnuradio gnuradio-dev
 +
| http://gnuradio.org/
 +
|-
 +
| gr-fcdproplus
 +
| 0.1.0
 +
| sudo apt-get install gr-fcdproplus
 +
| http://www.funcubedongle.com/
 +
|-
 +
| gr-iqbal
 +
| 0.37.2
 +
| sudo apt-get install gr-iqbal
 +
| http://cgit.osmocom.org/gr-iqbal/
 +
|-
 +
| gr-osmosdr
 +
| 0.1.4.48.86ad584
 +
| sudo apt-get install gr-osmosdr
 +
| http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
 +
|-
 +
| libosmodsp
 +
| 0.3.0
 +
| sudo apt-get install libosmodsp libosmodsp-dev
 +
| http://cgit.osmocom.org/libosmo-dsp/
 +
|}
  
 
=== Debian ===
 
=== Debian ===

Revision as of 09:05, 23 July 2015

1 Introduction

The Packaging project maintains packages (software/firmware) of hardware drivers and SDR frameworks such as GNU Radio, along with key dependencies.

2 Repositories

2.1 Ubuntu

Ubuntu packages are available for SDR hardware drivers and GNU Radio through the MyriadRF launchpad team site.

Quick instructions, add the following PPAs to your system:

sudo add-apt-repository -y ppa:bladerf/bladerf
sudo add-apt-repository -y ppa:myriadrf/drivers
sudo add-apt-repository -y ppa:myriadrf/gnuradio
sudo apt-get update

2.1.1 drivers PPA

The drivers PPA hosts packages for most SDR support drivers.

  • We build drivers for all supported Ubuntu releases: precise, trusty, utopic, vivid, wily
  • Supported hardware architectures: armhf, i386, and amd64
Software Version Install URL
Airspy 1.0.5 sudo apt-get install airspy libairspy-dev http://airspy.com/
Blade RF 2015.06 sudo apt-get install bladerf libbladerf-dev https://www.nuand.com/
Hack RF 2014.08.1 sudo apt-get install hackrf libhackrf-dev https://greatscottgadgets.com/hackrf/
Mirics SDR 0.0.4.59ba37 sudo apt-get install miri-sdr libmirisdr-dev http://www.mirics.com/sdr
OsmoSDR 0.1.8.effcaa7 sudo apt-get install osmo-sdr libosmosdr-dev http://sdr.osmocom.org/trac/
RTL SDR 0.5.3 sudo apt-get install rtl-sdr librtlsdr-dev http://sdr.osmocom.org/trac/wiki/rtl-sdr
Soapy Blade RF 0.1.0 sudo apt-get install soapysdr-bladerf https://github.com/pothosware/SoapyBladeRF/wiki
Soapy Osmo 0.1.0 sudo apt-get install soapyosmo-rfspace
sudo apt-get install soapyosmo-mirisdr
sudo apt-get install soapyosmo-hackrf
sudo apt-get install soapyosmo-rtlsdr
https://github.com/pothosware/SoapyOsmo/wiki
Soapy SDR 0.2.1 sudo apt-get install soapysdr libsoapysdr-dev https://github.com/pothosware/SoapySDR/wiki
Soapy UHD 0.1.0 sudo apt-get install soapysdr-uhd uhd-soapysdr https://github.com/pothosware/SoapyUHD/wiki
UHD 3.8.4 sudo apt-get install uhd-host libuhd-dev https://github.com/EttusResearch/uhd
UmTRX 1.0.4 sudo apt-get install umtrx uhd-umtrx http://umtrx.org/

2.1.2 drivers-snapshots PPA

The snapshots drivers PPA hosts additional SDR drivers that are not yet formally released.

  • We build drivers for all supported Ubuntu releases: precise, trusty, utopic, vivid, wily
  • Supported hardware architectures: armhf, i386, and amd64

2.1.3 gnuradio PPA

Software Version Install URL
GNU Radio 3.7.7.1 sudo apt-get install gnuradio gnuradio-dev http://gnuradio.org/
gr-fcdproplus 0.1.0 sudo apt-get install gr-fcdproplus http://www.funcubedongle.com/
gr-iqbal 0.37.2 sudo apt-get install gr-iqbal http://cgit.osmocom.org/gr-iqbal/
gr-osmosdr 0.1.4.48.86ad584 sudo apt-get install gr-osmosdr http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
libosmodsp 0.3.0 sudo apt-get install libosmodsp libosmodsp-dev http://cgit.osmocom.org/libosmo-dsp/

2.2 Debian